@echo off

IF ."%JAVA_HOME%"==. GOTO JdkError

set JAVACMD=%JAVA_HOME%\bin\java.exe

IF NOT EXIST "%JAVACMD%" goto JdkError

set CLASSPATH=..\lib\poseidon.jar;..\lib\umlplugin.jar
set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\jre\lib\rt.jar

echo Classpath is %CLASSPATH%.

set PROJECTNAME=%1%
set DEBUGLEVEL=%2%

"%JAVACMD%" -Xmx160m -Dposeidon.debug.level=%DEBUGLEVEL%  -Dposeidon.java.home="%JAVA_HOME%" -Dposeidon.user.dir.SE=%POSEIDONSE_HOME% -Dposeidon.user.dir.CE=%POSEIDONCE_HOME% com.gentleware.poseidon.Poseidon %PROJECTNAME%

GOTO End

:JdkError
ECHO Could not find a JDK.
ECHO Either you have to install JDK 1.4 (or up),
ECHO or you have to set JAVA_HOME to your JDK installation directory.
pause

:End
