#!/bin/bash

if [ -z "$JAVA_HOME" ] ; then
    echo "Could not find a JDK."
    echo "Either you have to install a JDK (1.4 or up),"
    echo "or you have to set JAVA_HOME to your JDK installation directory."
    exit
fi

JAVACMD=$JAVA_HOME/bin/java

ulimit -s 2048

instdir=`dirname "$0"`
project=$1
loglevel=$2

cd "$instdir"

CLASSPATH=../lib/poseidon.jar:../lib/umlplugin.jar
CLASSPATH=$CLASSPATH:$JAVA_HOME/jre/lib/rt.jar      # for compilation

export CLASSPATH

"$JAVACMD" -Xmx160m -Dposeidon.java.home="$JAVA_HOME" -Dposeidon.user.dir.CE=$POSEIDONCE_HOME -Dposeidon.user.dir.SE=$POSEIDONSE_HOME com.gentleware.poseidon.Poseidon $project

